## org.jCharts.properties
Class BarChartProperties

    java.lang.Object
      org.jCharts.properties.ChartTypeProperties
          org.jCharts.properties.AxisChartTypeProperties
              org.jCharts.properties.BarChartProperties

All Implemented Interfaces:
  HTMLTestable

Direct Known Subclasses:
  ClusteredBarChartProperties, StackedBarChartProperties

    public class BarChartProperties

extends AxisChartTypeProperties

Field Summary
`private ChartStroke` `barOutlineStroke`
`private boolean` `showOutlines`
`private float` `widthPercentage`

Constructor Summary
`BarChartProperties()` Constructor

Method Summary
`ChartStroke` `getBarOutlineStroke()`
`float` `getPercentage()`
`boolean` `getShowOutlinesFlag()`
`void` `setBarOutlineStroke(ChartStroke barOutlineStroke)`
`void` `setShowOutlinesFlag(boolean showOutlines)`
`void` `setWidthPercentage(float widthPercentage)`
`void` `toHTML(HTMLGenerator htmlGenerator)` Enables the testing routines to display the contents of this Object.
`void` `validate(IAxisPlotDataSet iAxisPlotDataSet)` Validates the properties.

Methods inherited from class org.jCharts.properties.AxisChartTypeProperties
`addPostRenderEventListener, addPreRenderEventListener, firePostRender, firePreRender`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### widthPercentage

    private float widthPercentage

### showOutlines

    private boolean showOutlines

### barOutlineStroke

    private ChartStroke barOutlineStroke

Constructor Detail

### BarChartProperties

    public BarChartProperties()

  Constructor

Method Detail

### setShowOutlinesFlag

    public void setShowOutlinesFlag(boolean showOutlines)

### getShowOutlinesFlag

    public boolean getShowOutlinesFlag()

### setWidthPercentage

    public void setWidthPercentage(float widthPercentage)

### getPercentage

    public float getPercentage()

### getBarOutlineStroke

    public ChartStroke getBarOutlineStroke()

### setBarOutlineStroke

    public void setBarOutlineStroke(ChartStroke barOutlineStroke)

### toHTML

    public void toHTML(HTMLGenerator htmlGenerator)

  Enables the testing routines to display the contents of this Object.

  Parameters:
    `htmlGenerator` -

### validate

    public void validate(IAxisPlotDataSet iAxisPlotDataSet)
                  throws PropertyException

  Validates the properties.

  Specified by:
    `validate` in class `AxisChartTypeProperties`
  Parameters:
    `iAxisPlotDataSet` -
  Throws:
    `PropertyException`